version: '3.6'

services:
  postgres-entelco:
    image: postgres
    ports:
      - '5432:5432'
    restart: always
    environment:
      POSTGRES_USER: entelco
      POSTGRES_PASSWORD: diogoentelco
    volumes:
      - ./data/postgresql/postgresql:/var/lib/postgresql
    deploy:
      resources:
        limits:
          memory: 512M  # Ajuste conforme necessário

  adminer:
    image: adminer
    restart: always
    ports:
      - 8080:8080
    deploy:
      resources:
        limits:
          memory: 256M  # Ajuste conforme necessário
